'use strict';

module.exports = {
  load () {
    Editor.log('aaa +');
    // execute when package loaded
  },

  unload () {
    Editor.log('aaa -');  
    // execute when package unloaded
  },

  // register your ipc messages here
  messages: {
    'open' () {
      // open entry panel registered in package.json
      Editor.Panel.open('aaa');  
    },
    'say-hello' () {
      Editor.log('Hello World!');
      // send ipc message to panel
      Editor.Ipc.sendToPanel('aaa1', 'aaa:hello');
    },
    'clicked' () {
      Editor.log('Button clicked! 11');
    }
  },
};